Bug#272637: most: Segmentation fault when dealing with carriage returns

2006-12-14 Thread Alberto Garcia
Package: most Version: 4.10.2-4 Followup-For: Bug #272637 I found a way to make most crash and I think that it might be related to this bug. $ perl -e 'print (abcde \rx10);' | most I tried this in two different machines and in both cases I get a segmentation fault. The version from sarge

Bug#415200: iceweasel: crashes on opening preferences

2008-10-19 Thread Alberto Garcia
On Sat, Mar 17, 2007 at 01:06:04AM +0100, Gabriele Stilli wrote: As per subject, selecting Edit-Preferences makes Iceweasel go kaboom. It happens anytime, anywhere, even after movin ~/.mozilla away, both from a fresh start or after opening some pages. I was suffering this error too and it

Bug#415200: iceweasel: crashes on opening preferences

2008-10-19 Thread Alberto Garcia
On Mon, Oct 20, 2008 at 01:50:10AM +0200, Gabriele Stilli wrote: I was suffering this error too and it disappeared after setting ICEWEASEL_DSP to 'none' in /etc/iceweasel/iceweaselrc (its value was 'auto' before the change). Uh, I almost forgot about this old report :-) I already have

Bug#492090: gnome-screensaver segfaults (some i18n issues?)

2008-08-24 Thread Alberto Garcia
Em Sexta 25/07/2008 às 12:44, Josselin Mouette dizia... I start gnome-screensaver. Then I wait until it runs or call gnome-screensaver-command -a Screen blanks. When I move my mouse with current xkb layout us - nothing happens, I see no password dialog. If I switch to second layout

Bug#492090: Bug has been fixed upstream

2008-09-03 Thread Alberto Garcia
This bug has been fixed upstream, see details here: http://bugzilla.gnome.org/show_bug.cgi?id=529773 It turned out that the problem was in libxklavier rather than libgnomekbd. I strongly recommend for applying this patch in the lenny version as otherwise gnome-screensaver, gnome-keyboard-applet

Bug#464169: ITP: vagalume -- A GTK+-based Last.fm client

2008-02-05 Thread Alberto Garcia
Package: wnpp Severity: wishlist Owner: Alberto Garcia [EMAIL PROTECTED] * Package name: vagalume Version : 0.5 Upstream Author : Alberto Garcia [EMAIL PROTECTED] * URL : http://people.igalia.com/berto/ * License : GPL 3 Programming Lang: C Description

Bug#464169: ITP: vagalume -- A GTK+-based Last.fm client

2008-02-05 Thread Alberto Garcia
On Tue, Feb 05, 2008 at 06:46:23PM +0200, Riku Voipio wrote: For debian, can you build both gnome and maemo UI? the needed hildon libs should be in Debian now. I haven't tested it, but I don't think it makes sense. Vagalume uses very few hildon-specific code, almost everything in Vagalume is

Bug#464169: ITP: vagalume -- A GTK+-based Last.fm client

2008-02-06 Thread Alberto Garcia
On Wed, Feb 06, 2008 at 06:56:05AM +0100, Christian Perrier wrote: Description : A GTK+-based Last.fm client Last.fm isn't really clear for anybody. I suggest using a more generic description and somehow say this is related to audio/media playing. Well, you're right, I should update

Bug#464169: ITP: vagalume -- A GTK+-based Last.fm client

2008-02-06 Thread Alberto Garcia
On Wed, Feb 06, 2008 at 10:10:23AM -0600, Ron Johnson wrote: Also drop the leading article, of course graphical GTK+-based client for Last.fm media service Is it necessary to say it's graphical provided that it's based on GTK+? Graphical GTK+-based client for the Last.fm online radio I

Bug#464169: ITP: vagalume -- A GTK+-based Last.fm client

2008-02-06 Thread Alberto Garcia
On Wed, Feb 06, 2008 at 09:59:30AM +0100, Alberto Garcia wrote: Also drop the leading article, of course graphical GTK+-based client for Last.fm media service Is it necessary to say it's graphical provided that it's based on GTK+? How about ... Graphical GTK+-based client

Bug#464169: ITP: vagalume -- A GTK+-based Last.fm client

2008-02-06 Thread Alberto Garcia
On Wed, Feb 06, 2008 at 05:57:21PM +0100, Christian Perrier wrote: graphical GTK+-based client for Last.fm media service Is it necessary to say it's graphical provided that it's based on GTK+? GTK+ is jargon..:-) Then we'd need to change quite a few package descriptions :-) $ dpkg -l |

Bug#464169: ITP: vagalume -- A GTK+-based Last.fm client

2008-02-07 Thread Alberto Garcia
On Thu, Feb 07, 2008 at 05:45:42AM +0100, Christian Perrier wrote: Saying that something is GTK-based is probably meaningful for the average geek. It means nothing for the average user. This is what I call jargon. Our package descriptions should help all users to answer the simple

Bug#409737: most segfaults if a line contains many carriage returns

2007-02-04 Thread Alberto Garcia
Package: most Version: 4.10.2-4 Severity: normal 'most' crashes with a segmentation fault when displaying some lines, namely lines with lots of carriage returns. Here's a simple way to make it crash: $ perl -e 'print (abcde \rx10);' | most I checked previous versions and it seems that

Bug#196545: mutt: hasn't the patch been applied?

2007-05-11 Thread Alberto Garcia
Package: mutt Version: 1.5.9-2sarge2 Followup-For: Bug #196545 Is there any reason why the patch provided by Gerard W. Patterson 3 years ago hasn't been applied to the Debian package? I've been experienced this problem for ages and I'm glad I've discovered this patch. I tested it (against both

Bug#312380: gzip: bashism in zgrep

2005-06-07 Thread Alberto Garcia
Package: gzip Version: 1.3.5-10 Severity: important zgrep does not work with /bin/sh - dash $ echo foo foo.txt $ gzip foo.txt $ zgrep foo foo.txt.gz /bin/zgrep: 103: Syntax error: Bad substitution -- System Information: Debian Release: 3.1 APT prefers testing APT policy: (500,

Bug#429422: libgnomekbdui2: The crash happens with non-UTF8 locales

2008-06-12 Thread Alberto Garcia
Package: libgnomekbdui2 Version: 2.22.0-1 Followup-For: Bug #429422 I think that the bug is in libgnomekbd and it happens if you have a non-UTF8 locale, at least that's the way I reproduce it. I have already sent a more detailed bug report to the GNOME bugzilla, but no one has taken care of it

Bug#368850: mpg123: 3dnow! support should be compiled by default

2006-05-25 Thread Alberto Garcia
Package: mpg123 Version: 0.59r-20sarge1 Severity: wishlist Debian mpg123 package includes a 3dnow! patch from Kimura Takuhiro. This patch makes mpg123 produce a much better quality ouput than the default 3dnow! code shipped with mpg123 0.59r Besides this, it also introduces a runtime detection

Bug#477197: Dead ~

2008-04-23 Thread Alberto Garcia
On Wednesday 23/04/2008 08:05, Christian Perrier said... I don't like the dead tilde either because it really is useless in spanish. [...] Please don't change keyboard mappings randomly. There are standards for many keymaps and these should be respected as much as possible *and keep the

Bug#608200: ITP: libspectrum -- ZX Spectrum emulator library

2010-12-28 Thread Alberto Garcia
Package: wnpp Severity: wishlist Owner: Alberto Garcia agar...@igalia.com * Package name: libspectrum Version : 1.0.0 Upstream Author : Philip Kendall philip-f...@shadowmagic.org.uk * URL : http://fuse-emulator.sourceforge.net/libspectrum.php * License : GPL2

Bug#608202: ITP: fuse-emulator-utils -- ZX Spectrum emulator library - Utilities

2010-12-28 Thread Alberto Garcia
Package: wnpp Severity: wishlist Owner: Alberto Garcia agar...@igalia.com * Package name: fuse-emulator-utils Version : 1.0.0 Upstream Author : Philip Kendall philip-f...@shadowmagic.org.uk * URL : http://fuse-emulator.sourceforge.net/ * License : GPL2

Bug#608203: ITP: fuse-emulator -- The Free Unix Spectrum Emulator

2010-12-28 Thread Alberto Garcia
Package: wnpp Severity: wishlist Owner: Alberto Garcia agar...@igalia.com * Package name: fuse-emulator Version : 1.0.0 Upstream Author : Philip Kendall philip-f...@shadowmagic.org.uk * URL : http://fuse-emulator.sourceforge.net/ * License : GPL2 Programming

Bug#608202: ITP: fuse-emulator-utils -- ZX Spectrum emulator library - Utilities

2010-12-30 Thread Alberto Garcia
On Thu, Dec 30, 2010 at 01:43:54AM -0600, Ron Johnson wrote: The problem is that everyone else knows fuse as Filesystem in Userspace. I know, that's why I called the package fuse-emulator-*, and not just fuse-* Berto -- To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org

Bug#573737: ITP: grilo -- framework for media discovery and browsing

2011-01-26 Thread Alberto Garcia
On Sat, Mar 13, 2010 at 02:48:52PM +0100, Andreas Henriksson wrote: I do not intend to work on the packages immediately since upstream says the program is not ready to be officially shipped. Additionally upstream already has prepared debian packaging, so this ITP might become a I'm willing to

Bug#573737: ITP: grilo -- framework for media discovery and browsing

2011-01-26 Thread Alberto Garcia
On Wed, Jan 26, 2011 at 01:15:45PM +0100, Andreas Henriksson wrote: Please don't let me stop you! If you need any help with reviewing the packaging, maybe sponsorship, or anything please let me know! Good, I'll start preparing the package in the next weeks and contact you as soon as they're

Bug#611545: dpkg: update-alternatives segfaults with dangling alternatives

2011-01-30 Thread Alberto Garcia
Package: dpkg Version: 1.15.8.9 Severity: important I have a dangling symlink in /etc/alternatives/lvm-default pointing to /lib/lvm-200 (which doesn't exist). # ls -l /etc/alternatives/lvm-default lrwxrwxrwx 1 root root 12 Mar 7 2008 /etc/alternatives/lvm-default - /lib/lvm-200 # cat

Bug#540572: After moving to grub-pc memtest86+ does not launch.

2011-01-31 Thread Alberto Garcia
unarchive 540572 severity 540572 important thanks On Tue, Aug 11, 2009 at 02:34:01AM +0100, Vasilis Vasaitis wrote: 3. They fail to work correctly when /boot is a separate partition from /. This problem is still there. If / and /usr are in separate partitions and you e.g. run grub in

Bug#540572: After moving to grub-pc memtest86+ does not launch

2011-01-31 Thread Alberto Garcia
I messed up and unarchived the wrong bug, sorry for the noise, it was meant for #540972 -- To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org with a subject of unsubscribe. Trouble? Contact listmas...@lists.debian.org

Bug#609684: ocrfeeder: should include configurations for OCR engines in Debian

2011-02-09 Thread Alberto Garcia
On Tue, Jan 11, 2011 at 03:35:41PM +0100, Teemu Ikonen wrote: OCRFeeder should come installed with the configurations (under 'Tools-OCR Engines') for the common OCR programs in Debian like Cuneiform, GOCR, OCRAD etc. I'm not sure about what you mean by this. OCRFeeder already detects all

Bug#603971: libtool: link_all_deplibs not disabled on Hurd

2011-02-22 Thread Alberto Garcia
On Fri, Nov 19, 2010 at 12:02:09AM +0100, Pino Toscano wrote: This fixes the test #68 of the test suite (two others are still failing, though), and avoid extra dependencies being added to libraries; for example: $ curl-config --libs -lcurl -lidn -lssh2 -lssl -lcrypto -llber -lldap -lssl

Bug#615065: debian-maintainers: Please add Alberto Garcia as a Debian Maintainer

2011-02-25 Thread Alberto Garcia
') Architecture: i386 (i686) Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores) Locale: LANG=pt_PT, LC_CTYPE=pt_PT (charmap=UTF-8) (ignored: LC_ALL set to pt_PT.UTF-8) Shell: /bin/sh linked to /bin/bash Comment: Add Alberto Garcia as a Debian Maintainer Date: Fri, 25 Feb 2011 14:43:53 +0200 Action

Bug#607889: ITP: frogr -- Flickr Remote Organizer for GNOME

2010-12-23 Thread Alberto Garcia
Package: wnpp Severity: wishlist Owner: Alberto Garcia agar...@igalia.com Package name: frogr Version : 0.3 Upstream Author : Mario Sanchez Prada msanc...@igalia.com URL : http://code.google.com/p/frogr/ License : GPL-3 / LGPL-3 Programming Lang: C

Bug#514685: gstreamer0.10-alsa: Erratic volume control behaviour

2009-02-09 Thread Alberto Garcia
Package: gstreamer0.10-alsa Version: 0.10.19-2 Severity: important Tags: patch The alsamixer plugin from GStreamer has an erratic behaviour. When trying to adjust the volume level it often changes its value randomly, making it almost unusable. This can be reproduced with the GNOME Panel's

Bug#536370: vagalume: Could have links and an indication of what has just been listened

2009-07-12 Thread Alberto Garcia
On Thu, Jul 09, 2009 at 02:32:45PM +0100, Luís Picciochi Oliveira wrote: It would be nice if the artists, tracks and album names shown while playing could be clickable with direct links to their respective last.fm pages. Also, another nice addition would be a last scrobbled list. This

Bug#568155: RFP: ocrfeeder -- document layout analysis and OCR system

2010-03-22 Thread Alberto Garcia
On Tue, Feb 02, 2010 at 08:52:00PM +0100, W. Martin Borgert wrote: Package: wnpp Severity: wishlist Package name: ocrfeeder Hi, my name is Alberto Garcia. I work at Igalia with Joaquim Rocha, the lead developer of OCRFeeder. I'd like to maintain this program for Debian. I'm not a DD

Bug#568155: RFP: ocrfeeder -- document layout analysis and OCR system

2010-03-23 Thread Alberto Garcia
On Mon, Mar 22, 2010 at 09:06:20PM +0100, W. Martin Borgert wrote: I'd like to maintain this program for Debian. I'm not a DD myself so I would need a mentor, but I have some experience with the Debian packaging system and I'm already maintaining the Vagalume Last.fm client: This is

Bug#578426: [Python-apps-team] Bug#578426: ocrfeeder: fails to install due to file conflict with calibre

2010-04-20 Thread Alberto Garcia
On Tue, Apr 20, 2010 at 07:16:05AM +0200, W. Martin Borgert wrote: ocrfeeder fails to install: Both ocrfeeder and calibre contain embedded code copies of the odfpy Python library. This library must be packaged (ITP: #484584) and both programs must depend on the library. As long as odfpy

Bug#591925: Bug#592720: dictionaries-common: flyspell.el breaks flyspell-mode

2010-08-25 Thread Alberto Garcia
On Thu, Aug 19, 2010 at 01:30:41PM +0200, Agustin Martin wrote: Did not notice that squeeze ships emacs 23.1 while sid ships emacs 23.2 where I checked everything. Squeeze now ships emacs 23.2: http://packages.debian.org/squeeze/emacs23 Berto -- To UNSUBSCRIBE, email to

Bug#581426: please add support for --help

2010-09-28 Thread Alberto Garcia
On Thu, May 13, 2010 at 02:25:24PM +0200, Serafeim Zanikolas wrote: Actually, the cmd line switch handling is ok -- it's just that it doesn't support --help. Okay, I've just reported this upstream, the fix should be available soon: https://bugzilla.gnome.org/show_bug.cgi?id=630829 Thanks for

Bug#598627: ocrfeeder: non-free OpenOffice.org icon

2010-10-07 Thread Alberto Garcia
On Thu, Sep 30, 2010 at 02:34:49PM +0200, Jakub Wilk wrote: The upstream source contains a “freeware” OpenOffice.org icon. In Debian this icon was replaced by a GPLv2-licensed one, but this was done by patching. As a consequence, the are now *two* copies of the “freeware” icon: one in

Bug#527321: vagalume: wrong gtk icon cache file

2009-05-07 Thread Alberto Garcia
On Wed, May 06, 2009 at 09:44:15PM +0200, Luca Bruno wrote: The .postinst and .postrm files manually update the gtk icon cache, though removing a non-existing file /usr/share/icons/hicolor/icon-theme.cache. The right file is /usr/share/icons/hicolor/.icon-theme.cache. I don't have

Bug#521583: wifi-radar uses su-to-root, but it doesn't recommend/depend on it

2009-03-28 Thread Alberto Garcia
Package: wifi-radar Version: 1.9.9-1.1 Severity: normal wifi-radar uses su-to-root in its .desktop and menu files, but it doesn't have any dependency on the package that provides it (menu). command=su-to-root -X -c /usr/sbin/wifi-radar Exec=su-to-root -X -c /usr/sbin/wifi-radar -- System

Bug#586328: gtk-doc-tools: Upgrade fails: ERROR: emacsen-common being used before being configured.

2010-08-17 Thread Alberto Garcia
On Sat, Jun 26, 2010 at 10:00:36AM +0200, Josselin Mouette wrote: This is a serious WTF in emacsen-common and/or emacs itself. It’s not appropriate to add a dependency on emacsen-common just for the sake of including support for an editor. The bug (CCed) has been known for 8 years, so I’ll

Bug#592874: mutt: User-defined settings are overriden by /etc/Muttrc

2010-08-13 Thread Alberto Garcia
Package: mutt Version: 1.5.20-9 Severity: normal Tags: upstream Since I upgraded from lenny to squeeze I found that my 'hdr_order' configuration has stopped working. How to reproduce it: $ mutt -F /dev/null -e hdr_order from date to cc subject -f /tmp/msg With this, the 'Date' header should

Bug#629395: ITP: grilo-plugins -- Grilo framework plugins

2011-06-17 Thread Alberto Garcia
As I was telling Alessio in #573737, since I'm already packaging grilo I'll take care of grilo-plugins as well. The grilo packages are almost ready btw, I'm expecting to upload them next week. Berto -- To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org with a subject of

Bug#609684: ocrfeeder: should include configurations for OCR engines in Debian

2011-03-18 Thread Alberto Garcia
Any further comments? It seems to me like it's fine as it is now... Berto -- To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org with a subject of unsubscribe. Trouble? Contact listmas...@lists.debian.org

Bug#573737: ITP: grilo -- framework for media discovery and browsing

2011-06-07 Thread Alberto Garcia
On Wed, Jan 26, 2011 at 02:07:10PM +0100, Alberto Garcia wrote: Please don't let me stop you! If you need any help with reviewing the packaging, maybe sponsorship, or anything please let me know! Good, I'll start preparing the package in the next weeks and contact you as soon as they're

Bug#573737: ITP: grilo -- framework for media discovery and browsing

2011-06-08 Thread Alberto Garcia
On Tue, Jun 07, 2011 at 01:16:34PM +0200, Andreas Henriksson wrote: I suggest putting it in experimental for now No guarantees there, and people who want to test it can easily install it. :) Makes sense, I think I'll do that. Berto -- To UNSUBSCRIBE, email to

Bug#573737: ITP: grilo -- framework for media discovery and browsing

2011-06-09 Thread Alberto Garcia
On Thu, Jun 09, 2011 at 11:28:49AM +, Alessio Treglia wrote: how's the progress here? The situation is that basically Grilo doesn't have a stable API/ABI yet, so instead of waiting for that to happen I think it makes sense to package it for experimental in the meantime as Andreas suggested.

Bug#573737: ITP: grilo -- framework for media discovery and browsing

2011-06-09 Thread Alberto Garcia
On Thu, Jun 09, 2011 at 12:27:12PM +, Alessio Treglia wrote: Once it is uploaded, I'll start to work on the grilo-plugins package in order to push it into unstable soon. Hey, I hadn't noticed that there was an ITP bug for grilo-plugins as well :) I was actually planning to package both

Bug#614231: fuse-emulator-utils: FTBFS - undefined references to libgcrypt symbols

2011-02-20 Thread Alberto Garcia
On Sun, Feb 20, 2011 at 10:25:05AM -0500, Aaron M. Ucko wrote: To avoid such errors (which installing the binutils-gold package may help reproduce), please explicitly link rzxdump and any other tools that directly use libgcrypt against it. binutils-gold is not necessary, I think the problem

Bug#641444: ITP: event-dance -- Peer-to-peer inter-process communication library

2011-09-13 Thread Alberto Garcia
Package: wnpp Severity: wishlist Owner: Alberto Garcia agar...@igalia.com * Package name: event-dance Version : 0.1.8 Upstream Author : Eduardo Lima Mitev el...@igalia.com * URL : http://gitorious.org/eventdance/eventdance * License : LGPLv3 Programming Lang

Bug#641445: ITP: filetea -- Web-based file sharing system

2011-09-13 Thread Alberto Garcia
Package: wnpp Severity: wishlist Owner: Alberto Garcia agar...@igalia.com * Package name: filetea Version : 0.1.2 Upstream Author : Eduardo Lima Mitev el...@igalia.com * URL : http://gitorious.org/filetea/filetea * License : AGPLv3 Programming Lang: C

Bug#643942: Please add support tracker-0.12

2011-10-03 Thread Alberto Garcia
Upstream already supports tracker-0.12, so let's just wait for the next release. http://git.gnome.org/browse/grilo-plugins/commit/?h=0.1.xid=e0f8eafb60de9051030cad7f387170e9a790a5f8 Thanks, Berto -- To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org with a subject of

Bug#644373: libproxy0 0.3.1-3 doesn't work with automatic proxy configuration

2011-10-05 Thread Alberto Garcia
Package: libproxy0 Version: 0.3.1-3 Severity: important Support for the 'Automatic proxy configuration' mode (from gnome-network-properties) seems to be broken after upgrading libproxy from version 0.3.1-2. Instead of returning the list of proxies for a given URL, it just returns 'direct://'

Bug#644373: libproxy0 0.3.1-3 doesn't work with automatic proxy configuration

2011-10-05 Thread Alberto Garcia
On Wed, Oct 05, 2011 at 02:11:01PM +0300, Alberto Garcia wrote: Support for the 'Automatic proxy configuration' mode (from gnome-network-properties) seems to be broken after upgrading libproxy from version 0.3.1-2. That's not the only thing that is broken btw, the GNOME global proxy settings

Bug#644373: libproxy0 0.3.1-3 doesn't work with automatic proxy configuration

2011-10-05 Thread Alberto Garcia
On Wed, Oct 05, 2011 at 06:15:30PM +0200, Josselin Mouette wrote: That's not the only thing that is broken btw, the GNOME global proxy settings seem to be ignored by apps such as rhythmbox or the weather applet This is a different issue, caused by a premature update of libsoup and

Bug#644373: libproxy0 0.3.1-3 doesn't work with automatic proxy configuration

2011-10-06 Thread Alberto Garcia
On Wed, Oct 05, 2011 at 02:11:01PM +0300, Alberto Garcia wrote: Support for the 'Automatic proxy configuration' mode (from gnome-network-properties) seems to be broken after upgrading libproxy from version 0.3.1-2. I recompiled libproxy 0.3.1-2 in my computer but the problem didn't disappear

Bug#640257: Please update to new upstream version 1.6.0, which fixes various leaks

2011-10-06 Thread Alberto Garcia
On Sat, Sep 03, 2011 at 09:20:31AM -0700, Josh Triplett wrote: A new upstream version 1.6.0 exists, which fixes some memory leaks. (See https://bugzilla.mozilla.org/show_bug.cgi?id=672619 for details.) Also, the current version (1.5.2) doesn't work with Iceweasel 7. Berto -- To

Bug#628746: ITP: opense-basic -- Free software ROM for the Sinclair ZX Spectrum

2011-05-31 Thread Alberto Garcia
Package: wnpp Severity: wishlist Owner: Alberto Garcia agar...@igalia.com * Package name: opense-basic Version : 3.03 Upstream Author : Andrew Owen * URL : http://sourceforge.net/projects/sebasic/ * License : GPL Programming Lang: Assembler (Z80

Bug#579709: evince: does not render properly some documents

2012-06-25 Thread Alberto Garcia
On Fri, Apr 30, 2010 at 05:39:04PM +0200, Josselin Mouette wrote: Here is the file http://www.cfar.umd.edu/~daniel/daniel_papersfordownload/CoplanarPts.pdf It displays fine here with an up-to-date unstable system, and with a lenny system. Hey, I'm also having problems displaying that

Bug#678249: your mail

2012-06-25 Thread Alberto Garcia
On Thu, Jun 21, 2012 at 01:31:50PM +0300, Alberto Garcia wrote: FYI compiling everything with -O0 (OPTIMIZE=0 in debian/rules) also fixes the problem. (I'm using gcc 4.7.1-1 btw) Updated gcc to 4.7.1-2 and the problem is still present. I also found that using -O2 instead of -O3 fixed

Bug#678249: (no subject)

2012-06-25 Thread Alberto Garcia
I've been trying to narrow the problem down and I found that compiling MAME normally with the default options and then recompiling src/emu/ioport.c with -fno-ipa-cp-clone fixes the issue. So it's -fipa-cp-clone in ioport.c that is causing the problem. This looks like a GCC bug to me, and I hope

Bug#679005: mame: Segfaults on armel or armhf

2012-06-25 Thread Alberto Garcia
On Mon, Jun 25, 2012 at 06:50:15PM +0200, Thomas Maass wrote: I tried MAME on an armhf machine (Nvidia Tegra 2). It segfaults there. I used video x11 and soft. The verbose call shows, that mame.ini is parsed. After that there is a segfault. Nothing to see with gdb, as there are no debugging

Bug#671906: Digests broken ?

2012-06-26 Thread Alberto Garcia
On Tue, May 08, 2012 at 08:42:47AM +0900, Charles Plessy wrote: it has been a couple of days that the digests I receive are broken: the subject is not displayed anymore, and the mail headers are moved after the main text. Hey, this problem has been going on for a long time already. The

Bug#678249: your mail

2012-07-03 Thread Alberto Garcia
On Wed, Jun 27, 2012 at 03:02:21PM +0200, Emmanuel Kasper wrote: Upstream is however interested in sorting out this bug, so could you maybe submit your backtrace as asked in http://forums.bannister.org/ubbthreads.php?ubb=showflatNumber=80250 ? Oh, crap, I didn't see this before, I'll do it

Bug#678249: (no subject)

2012-07-03 Thread Alberto Garcia
On Wed, Jun 27, 2012 at 03:02:21PM +0200, Emmanuel Kasper wrote: @Berto: Upstream is however interested in sorting out this bug, so could you maybe submit your backtrace as asked in http://forums.bannister.org/ubbthreads.php?ubb=showflatNumber=80250 ? I registered there buy my account

Bug#670405: ekiga: Ekiga crashes on startup

2012-07-09 Thread Alberto Garcia
On Fri, Jul 06, 2012 at 02:23:22PM +0200, Eugen Dedu wrote: Could you please send us the -d 4 output when it crashes? Here it is, tell me if you need something more. Versions I'm using: ekiga 3.2.7-5+b1 libpt2.10.4 2.10.4~dfsg-1 libopal3.10.4 3.10.4~dfsg-3 Berto 2012/07/09

Bug#678249: mame: Segfaults after upgrading to v0.146

2012-06-20 Thread Alberto Garcia
Package: mame Version: 0.146-1 Severity: grave Justification: renders package unusable MAME stopped working after I upgraded to v0.146 (MESS has exactly the same problem). Here's the output of mame -verbose: $ mame -verbose Parsing mame.ini Parsing mame.ini Build version: 0.146 (Jun 5

Bug#678249: mame: Segfaults after upgrading to v0.146

2012-06-20 Thread Alberto Garcia
More info: I compiled MAME with -O0 and debugging information to try to get a backtrace but I couldn't make it crash. Other than the aforementioned differences, I was also using GCC 4.6.3 (not 4.7.0 as in the version compiled by Debian). Berto -- To UNSUBSCRIBE, email to

Bug#678249: your mail

2012-06-21 Thread Alberto Garcia
On Thu, Jun 21, 2012 at 03:10:49AM +0300, Berto wrote: If I have time tomorrow I'll try to compile it with GCC 4.7 I've done it now and I confirm that it crashes. So either GCC 4.7 is buggy or there's a bug in MAME/MESS that is only reproduced with that GCC version. Berto -- To

Bug#678249: (no subject)

2012-06-21 Thread Alberto Garcia
On Thu, Jun 21, 2012 at 12:54:28PM +0300, Alberto Garcia wrote: If I have time tomorrow I'll try to compile it with GCC 4.7 I've done it now and I confirm that it crashes. So either GCC 4.7 is buggy or there's a bug in MAME/MESS that is only reproduced with that GCC version. I'll be away

Bug#673390: filetea: error in require.js

2012-05-18 Thread Alberto Garcia
On Fri, May 18, 2012 at 11:20:08AM +0200, Michael Fladischer wrote: Installing filetea and opening it in the browser (tested with Iceweasel 10 and Chromium 18) results in a page missing most of the controls and reproting this JavaScript error: I can only reproduce that problem in my machine

Bug#673390: filetea: error in require.js

2012-05-21 Thread Alberto Garcia
On Mon, May 21, 2012 at 12:10:19PM +0200, Eduardo Lima Mitev wrote: This is an error in EventDance library, specifically in the browser-side Web transport script. The issue was fixed already in 0.21 but is not yet release: Great, thanks. Michael, if you can confirm that this solves the issue

Bug#412993: gnupg-agent: start up should be dependant on /etc/X11/Xsession.options

2011-10-18 Thread Alberto Garcia
On Sat, May 17, 2008 at 07:03:23PM +1000, Alex Samad wrote: I would like to second Edward Guldemond request, gpg-agent should only be started if use-gpg-agent is in the Xsessions.option file Also note that gnupg-agent is not the only gpg agent available. The GNOME Keyring daemon provides a

Bug#646028: ITP: meiga -- Light and easy content server for your desktop

2011-10-20 Thread Alberto Garcia
Package: wnpp Severity: wishlist Owner: Alberto Garcia agar...@igalia.com * Package name: meiga Version : 0.4.0 Upstream Author : Enrique Ocaña González eoca...@igalia.com * URL : http://meiga.igalia.com/ * License : GPLv2 Programming Lang: Vala, C, Bash

Bug#646605: ocrfeeder: too much memory required when opening multipage documents

2011-11-04 Thread Alberto Garcia
On Tue, Oct 25, 2011 at 06:10:43PM +0200, Michael Below wrote: I tried ocrfeeder with a 26 page document and found it hard to use. When I imported the directory containing my images (300dpi greyscale scans from A4, in total 216 MByte as pnm) the memory usage kept rising and rising. FYI,

Bug#653419: maradns: Maradns won't start with bash

2011-12-27 Thread Alberto Garcia
Package: maradns Version: 1.4.07-1 Severity: important maradns won't start at all if /bin/sh points to bash. That's because the init.d script attempts to modify a readonly variable: /etc/init.d/maradns: line 25: UID: readonly variable Berto -- System Information: Debian Release: wheezy/sid

Bug#563706: the rootstrap bug

2011-12-27 Thread Alberto Garcia
On Thu, Nov 18, 2010 at 12:01:53AM +0100, Václav Ovsík wrote: I have just discovered this problem too. The bug should be reassigned to the rootstrap package. Is there anything preventing this from being fixed? Shouldn't adding include=makedev to the config file be enough? Berto -- To

Bug#413954: iceweasel: failed to build using graphicsmagick-imagemagick-compat instead of imagemagick

2011-12-31 Thread Alberto Garcia
On Thu, Mar 08, 2007 at 01:28:13PM +0900, VDR dai (deb) wrote: iceweasel 2.0.0.2+dfsg-4 failed to build using graphicsmagick-imagemagick-compat instead of imagemagick. Same problem with fuse-emulator 1.0.0.1a+dfsg1-3: $ convert winfuse.ico winfuse.png convert convert: Improper image header

Bug#647271: oss4-gtk: uninstallable on kfreebsd

2012-01-02 Thread Alberto Garcia
On Tue, Nov 01, 2011 at 02:02:03PM +0100, Julien Cristau wrote: oss4-gtk/kfreebsd-amd64 unsatisfiable Depends: oss4-base oss4-gtk/kfreebsd-i386 unsatisfiable Depends: oss4-base This needs to be fixed. Hey, this problem has been there for more than 2 months. What's exactly the problem?

Bug#691049: Please package Grilo 0.2

2012-10-25 Thread Alberto Garcia
On Sat, Oct 20, 2012 at 08:04:39PM +0200, Sjoerd Simons wrote: Could you please update grilo to the 0.2 version (probably in experimental), Just so you know, the packages were uploaded some days ago: http://ftp-master.debian.org/new/grilo_0.2.2-1.html Berto -- To UNSUBSCRIBE, email to

Bug#670405: ekiga: During start up segfault in `libopal.so.3.10.4`

2012-11-03 Thread Alberto Garcia
On Thu, Sep 13, 2012 at 04:07:55PM +0200, Paul Menzel wrote: Berto, it would be awesome if you could test Ekiga from experimental [3][4] and report back if it fixes the issues for you. I've just tried ekiga 3.9.90-1 and it seems to work now. These are the new packages that I installed: ekiga

Bug#691049: Please package Grilo 0.2

2012-10-20 Thread Alberto Garcia
On Sat, Oct 20, 2012 at 08:04:39PM +0200, Sjoerd Simons wrote: Could you please update grilo to the 0.2 version (probably in experimental), this will allow the gnome team to enable grilo support in totem 3.6 (for exp) Hey, thanks for the report. The packages are actually ready, I gave them

Bug#682121: [Python-apps-team] Bug#682121: ocrfeeder: too many open files error after OCR of multipage document

2012-07-26 Thread Alberto Garcia
On Thu, Jul 19, 2012 at 06:13:52PM +0200, Michael Below wrote: today I tried to OCR a 39 page document I imported as PDF. After viewing the results for the first two pages, the ocrfeed interface was no longer updated Sorry for the late reply, I've just arrived back from holidays :) I'm

Bug#682121: [Python-apps-team] Bug#682121: ocrfeeder: too many open files error after OCR of multipage document

2012-07-26 Thread Alberto Garcia
On Thu, Jul 26, 2012 at 04:25:59PM +0200, Michael Below wrote: Is that PDF file available somewhere? Sorry, no. I will keep my eyes open if I find a document that shows the same error and is public. Ok, we'll also try to reproduce it with a different document. Thanks, Berto -- To

Bug#678249: (no subject)

2012-09-13 Thread Alberto Garcia
On Tue, Aug 14, 2012 at 04:36:47PM +0200, Emmanuel Kasper wrote: Sorry Mame still segfaults with mame -O3 and the latest gcc available in debian I filed the bug upstream: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=54569 Berto -- To UNSUBSCRIBE, email to

Bug#686645: (no subject)

2012-09-13 Thread Alberto Garcia
On Tue, Aug 14, 2012 at 04:36:47PM +0200, Emmanuel Kasper wrote: Sorry Mame still segfaults with mame -O3 and the latest gcc available in debian I filed the bug upstream: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=54569 Berto -- To UNSUBSCRIBE, email to

Bug#670405: ekiga: During start up segfault in `libopal.so.3.10.4`

2012-09-13 Thread Alberto Garcia
On Thu, Sep 13, 2012 at 04:07:55PM +0200, Paul Menzel wrote: Berto, it would be awesome if you could test Ekiga from experimental [3][4] and report back if it fixes the issues for you. There's lots of missing dependencies: The following packages have unmet dependencies: ekiga : Depends:

Bug#651499: iceweasel: Iceweasel does not work with system proxy settings

2012-01-25 Thread Alberto Garcia
On Fri, Dec 09, 2011 at 08:52:37AM +0100, Mike Hommey wrote: Since a while ago (version 7 at least) I can't get the GNOME 3 system proxy settings to work in Iceweasel. That's not surprising, really. Iceweasel/Firefox uses gconf to get the proxy settings, and aiui, GNOME 3 stores it in

Bug#663209: Please build against gmime 2.6

2012-03-09 Thread Alberto Garcia
On Fri, Mar 09, 2012 at 02:12:44PM +0100, Michael Biebl wrote: I'll be switching totem-pl-parser over to gmime 2.6. totem and grilo-plugins are both installed via the gnome meta-packages, so it would be great if grilo-plugins is switched over to gmime 2.6, too so we don't require both gmime

Bug#664021: Needs to be updated for tracker 0.14

2012-03-14 Thread Alberto Garcia
On Wed, Mar 14, 2012 at 11:23:27PM +0100, Michael Biebl wrote: I've uploaded tracker 0.14 to unstable today. This will make grilo-plugins FTBFS, so it needs to be updated With the attached patch I could successfully build grilo-plugins against tracker 0.14. The patch is only build-tested, so

Bug#664517: gnome-doc-utils: removal of mallard.rng makes other packages FTBFS

2012-03-18 Thread Alberto Garcia
Package: gnome-doc-utils Version: 0.20.7-1 Severity: serious Hi, gnome-doc-utils 0.20.7 no longer ships the mallard.rng file: http://git.gnome.org/browse/gnome-doc-utils/commit/?id=a3a8a63e This makes other packages FTBFS during the 'make check' stage. Such is the case of frogr: xmllint

Bug#664517: gnome-doc-utils: removal of mallard.rng makes other packages FTBFS

2012-03-18 Thread Alberto Garcia
I discussed this with upstream. Here's the fix: http://git.gnome.org/browse/gnome-doc-utils/commit/?id=dfe3b7a0 However, this alone won't solve our problem, since all packages that ship gnome-doc-utils.make will still contain references to the missing files, so the choices from the

Bug#664517: gnome-doc-utils: removal of mallard.rng makes other packages FTBFS

2012-03-18 Thread Alberto Garcia
On Sun, Mar 18, 2012 at 06:27:39PM +0100, Michael Biebl wrote: This could be rephrased like that: If you use gnome-doc-utils and you run make check during build, you need to autoreconf your package, right? Not just autoreconf, you also have to run gnome-doc-prepare. What does upstream say

Bug#664517: gnome-doc-utils: removal of mallard.rng makes other packages FTBFS

2012-03-18 Thread Alberto Garcia
On Mon, Mar 19, 2012 at 01:19:13AM +0100, Michael Biebl wrote: From the 121 packages which have gnome-doc-utils as build dependency, the following packages FTBFS due to the missing mallard.rng file: banshee-community-extensions_2.2.0-3 conduit_0.3.17-1 frogr_0.6.1-1 gmpc_11.8.16-2

Bug#660783: pristine-tar: pristine-xz fails on gmime-2.6.6.tar.xz

2012-02-23 Thread Alberto Garcia
On Tue, Feb 21, 2012 at 03:19:52PM -0500, Daniel Kahn Gillmor wrote: 0 dkg@pip:/tmp/cdtemp.IIrOFE$ sha1sum gmime-2.6.6.tar.xz Same problem with ocrfeeder, also in the GNOME repository: http://ftp.gnome.org/pub/GNOME/sources/ocrfeeder/0.7/ocrfeeder-0.7.7.tar.xz Berto -- To UNSUBSCRIBE,

Bug#661014: debian-maintainers: Annual Ping for Alberto Garcia

2012-02-23 Thread Alberto Garcia
Package: debian-maintainers Severity: normal Hi, here's my annual ping, I'm still maintaining Debian packages and would like to keep doing it. Thanks, Alberto Garcia signature.asc Description: Digital signature

Bug#649134: vagalume: Cannot connect (no GNOME environment installed)

2011-11-17 Thread Alberto Garcia
On Thu, Nov 17, 2011 at 11:46:15PM +, Manuel A. Fernandez Montecelo wrote: When connecting, the lines below are shown in the terminal, and only a Connection error message in the GUI. ** (vagalume:4060): WARNING **: Could not build GConf audio sink and the replacement autoaudiosink

Bug#643942: Please add support tracker-0.12

2011-11-20 Thread Alberto Garcia
On Sun, Nov 20, 2011 at 04:12:17PM +0100, Michael Biebl wrote: I've just uploaded tracker_0.12.7-2 to unstable. This means, grilo-plugins is no longer installable or buildable, thus bumping the severity. Ok, I'll fix this today. Berto -- To UNSUBSCRIBE, email to

Bug#649134: vagalume: Cannot connect (no GNOME environment installed)

2011-11-21 Thread Alberto Garcia
On Sun, Nov 20, 2011 at 09:55:44AM +, Manuel A. Fernandez Montecelo wrote: ** (vagalume:3163): WARNING **: Could not build GConf audio sink and the replacement autoaudiosink doesn't work You're probably missing some GStreamer plugin. I'll try to find out which ones and fix the dependencies

  1   2   3   4   5   6   7   8   >